Subject: [Sip] Re: Sip Digest, Vol 20, Issue 16

From: sulayman camara <[email-masked]>
Date: Tue, 13 Dec 2005 02:16:52 -0800 (PST)

I don't want to receive any more mail from you please.

--- [email-masked] wrote:

> Send Sip mailing list submissions to
> 	[email-masked]
> 
> To subscribe or unsubscribe via the World Wide Web,
> visit
> 	https://www1.ietf.org/mailman/listinfo/sip
> or, via email, send a message with subject or body
> 'help' to
> 	[email-masked]
> 
> You can reach the person managing the list at
> 	[email-masked]
> 
> When replying, please edit your Subject line so it
> is more specific
> than "Re: Contents of Sip digest..."
> 
> 
> Today's Topics:
> 
>    1. one question on the authentication for
> third-party
>       registration ([email-masked])
>    2. RE: one question on the authentication for
>       third-partyregistration (Kasturi Narayanan)
>    3.
>
=?GB2312?B?tPC4tDogUkU6IFtTaXBdIG9uZSBxdWVzdGlvbiBvbiB0aGU=?=
=?GB2312?B?IGF1dGhlbnRpY2F0aW9uIGZvciB0aGlyZC1wYXJ0eSByZWdpc3RyYXRpb24=?=
>       ([email-masked])
>    4. RE: one question on the authentication for
> third-party
>       registration (Mahesh Govind)
> 
> 
>
----------------------------------------------------------------------
> 
> Message: 1
> Date: Tue, 13 Dec 2005 09:07:24 +0800
> From: [email-masked]
> Subject: [Sip] one question on the authentication
> for third-party
> 	registration
> To: [email-masked]
> Message-ID:
> 
>
<[email-masked]>
> Content-Type: text/plain; charset="us-ascii"
> 
> Hi,
> 
> I am confused by the authentication for third-party
> registration. 
> 
> We assume that Bob registrers for Alice, so the
> REGISTER request may be 
> like this:
> 
> REGISTER sip:registrar.biloxi.com SIP/2.0
> Via: SIP/2.0/UDP
> bobspc.biloxi.com:5060;branch=z9hG4bKnashds7
> Max-Forwards: 70
> To: Alice <sip:[email-masked]>
> From: Bob <sip:[email-masked]>;tag=456248
> Call-ID: 843817637684230@998sdasdh09
> CSeq: 1826 REGISTER
> Contact: <sip:[email-masked]>
> Expires: 7200
> Content-Length: 0
> 
> 
> As RFC3261 Section 10.3 (page 64) described,
> registrar SHOULD authenticate 
> the UAC using 
> the mechanisms described in RFC3261 Section 22, so
> the username of the 
> credential should 
> be "bob", while RFC3261 Section 26.3.2.1 (page 243)
> said that username of 
> this credential 
> SHOULD correspond with the "userinfo" portion of the
> URI in the To header 
> field of the 
> REGISTER request, that is "alice", this means
> authentication is for Alice, 
> not Bob.
> 
> Which one is the correct?
> 
> Best Regards,
> LionEagle
> 
> 
> 
> 
> ***********************************************
>
信息安全声明：本邮件包含信息归ZTE所有，
ZTE对该邮件拥有所有权利。请接收者注意
保密，未经发件人书面许可，不得向任何第
三方组织和个人透露本邮件所含信息的全部
> 或部分。以上声明仅适用于工作邮件。
> Information Security  Notice：
> The information contained in this mail is
> solely property of  ZTE Corporation. 
> This mail communication is confidential.
> Recipients named above are obligated to
> maintain secrecy and are not permitted to
> disclose the contents of this communication
> to others.
> ***********************************************
> -------------- next part --------------
> An HTML attachment was scrubbed...
> URL:
>
http://www1.ietf.org/pipermail/sip/attachments/20051213/1b49dc50/attachment.htm
> 
> ------------------------------
> 
> Message: 2
> Date: Mon, 12 Dec 2005 19:20:20 -0600
> From: "Kasturi Narayanan" <[email-masked]>
> Subject: RE: [Sip] one question on the
> authentication for
> 	third-partyregistration
> To: <[email-masked]>, <[email-masked]>
> Message-ID: <[email-masked]>
> Content-Type: text/plain; charset="us-ascii"
> 
> Ideally the intention is to authenticate the
> originator of the Register
> regardless of whom that person is registering.
> 
> Once authenticated there may be authorization needed
> (local policy)
> regarding whom all this person can register if the
> person to be registered
> is a valid user of this network.
> 
> So authentication is done for the originator of the
> request. 
> 
>  
> 
> And also in your example if Alice is being
> registered u may want the contact
> to look like [email-masked] unless u intentionally
> meant that.
> 
>  
> 
> If what u mentioned below is true then it needs to
> be looked into.
> 
>  
> 
> Kasturi
> 
>   _____  
> 
> From: [email-masked]
> [mailto:[email-masked]] On Behalf Of
> [email-masked]
> Sent: Monday, December 12, 2005 7:07 PM
> To: [email-masked]
> Subject: [Sip] one question on the authentication
> for
> third-partyregistration
> 
>  
> 
> 
> Hi, 
> 
> I am confused by the authentication for third-party
> registration. 
> 
> We assume that Bob registrers for Alice, so the
> REGISTER request may be like
> this: 
> 
> REGISTER sip:registrar.biloxi.com SIP/2.0 
> Via: SIP/2.0/UDP
> bobspc.biloxi.com:5060;branch=z9hG4bKnashds7 
> Max-Forwards: 70 
> To: Alice <sip:[email-masked]> 
> From: Bob <sip:[email-masked]>;tag=456248 
> Call-ID: 843817637684230@998sdasdh09 
> CSeq: 1826 REGISTER 
> Contact: <sip:[email-masked]> 
> Expires: 7200 
> Content-Length: 0 
> 
> 
> As RFC3261 Section 10.3 (page 64) described,
> registrar SHOULD authenticate
> the UAC using 
> the mechanisms described in RFC3261 Section 22, so
> the username of the
> credential should 
> be "bob", while RFC3261 Section 26.3.2.1 (page 243)
> said that username of
> this credential 
> 
=== message truncated ===

__________________________________________________
Do You Yahoo!?
Tired of spam?  Yahoo! Mail has the best spam protection around 
http://mail.yahoo.com 

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip